package cn.com.infosec.crypto.params;

import cn.com.infosec.crypto.CipherParameters;

public class ParametersWithSBox implements CipherParameters {
   private CipherParameters parameters;
   private byte[] sBox;

   public ParametersWithSBox(CipherParameters parameters, byte[] sBox) {
      this.parameters = parameters;
      this.sBox = sBox;
   }

   public byte[] getSBox() {
      return this.sBox;
   }

   public CipherParameters getParameters() {
      return this.parameters;
   }
}
